// SierpinskiSolidsDoc.h : interface of the CSierpinskiSolidsDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_SIERPINSKISOLIDSDOC_H__130438EB_18C7_11D5_8736_005004E2398F__INCLUDED_)
#define AFX_SIERPINSKISOLIDSDOC_H__130438EB_18C7_11D5_8736_005004E2398F__INCLUDED_

#include "Tetrahedron.h"	// Added by ClassView
#include "Cube.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CSierpinskiSolidsDoc : public CDocument
{
protected: // create from serialization only
	CSierpinskiSolidsDoc();
	DECLARE_DYNCREATE(CSierpinskiSolidsDoc)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSierpinskiSolidsDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	//}}AFX_VIRTUAL

// Implementation
public:
	BOOL Draw_Sponge;
	BOOL Draw_Tetra;
	int Max_Recursion_Level;
	Cube BaseCube;
	int Recursion_Level;
	Tetrahedron BaseTetra;
	virtual ~CSierpinskiSolidsDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CSierpinskiSolidsDoc)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SIERPINSKISOLIDSDOC_H__130438EB_18C7_11D5_8736_005004E2398F__INCLUDED_)
