// Tetrahedron.h: interface for the Tetrahedron class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TETRAHEDRON_H__130438F4_18C7_11D5_8736_005004E2398F__INCLUDED_)
#define AFX_TETRAHEDRON_H__130438F4_18C7_11D5_8736_005004E2398F__INCLUDED_

#include "Vec3f.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class Tetrahedron  
{
public:
	Vec3f mid[6];
	Tetrahedron( Vec3f &pt1, Vec3f &pt2, Vec3f &pt3, Vec3f &pt4 );
	Vec3f Pts[4];
	void DrawFaces( const float rotAngle );
	Tetrahedron();
	virtual ~Tetrahedron();
	void CalcMidpts();

protected:
};

#endif // !defined(AFX_TETRAHEDRON_H__130438F4_18C7_11D5_8736_005004E2398F__INCLUDED_)
