// Vec3f.h: interface for the Vec3f class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_VEC3F_H__130438FC_18C7_11D5_8736_005004E2398F__INCLUDED_)
#define AFX_VEC3F_H__130438FC_18C7_11D5_8736_005004E2398F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class Vec3f  
{
public:
	void crossProd( Vec3f &v1, Vec3f &v2 );
	float Length();
	void Normalize();
	void crossProd( Vec3f &v1, Vec3f& v2, Vec3f& v3 );
	friend Vec3f operator *( const Vec3f& v1, const float scale );
	friend Vec3f operator +( const Vec3f& v1, const Vec3f& v2 );
	friend Vec3f operator -( const Vec3f& v1, const Vec3f& v2 );
	friend Vec3f operator *( const float scale, const Vec3f& v1 );
	Vec3f& Vec3f::operator *=(const float scale);
	Vec3f& Vec3f::operator +=(const Vec3f& v1);
	Vec3f& Vec3f::operator -=(const Vec3f& v1);
	Vec3f( float xx, float yy, float zz);
	float z;
	float y;
	float x;
	Vec3f();
	virtual ~Vec3f();

};

#endif // !defined(AFX_VEC3F_H__130438FC_18C7_11D5_8736_005004E2398F__INCLUDED_)
